{
  "name": "myapi",
  "version": "1.0.0",
  "description": "Boilerplate project for a REST API with Fastify Framework ",
  "main": "index.js",
  "scripts": {
    "test": "jest --forceExit --detectOpenHandles ",
    "coverage": "jest --forceExit --detectOpenHandles --collectCoverage",
    "newman": "node config/newman.js",
    "start": "node index.js",
    "dev": "nodemon index.js",
    "lint": "eslint .",
    "eslint-check": "eslint --print-config . | eslint-config-prettier-check"
  },
  "author": "",
  "license": "",
  "dependencies": {
    "@fastify/autoload": "^5.7.1",
    "@fastify/basic-auth": "^5.0.0",
    "@fastify/caching": "^8.2.0",
    "@fastify/redis": "^6.1.0",
    "@fastify/swagger": "^8.14.0",
    "@fastify/swagger-ui": "^3.0.0",
    "abstract-cache": "^1.0.1",
    "abstract-cache-redis": "^2.0.0",
    "app-root-path": "^3.1.0",
    "csv-stringify": "^6.4.6",
    "dotenv": "^16.3.1",
    "fastify": "^4.24.1",
    "http-status": "^1.7.0",
    "ioredis": "^5.3.0",
    "moment": "^2.30.1",
    "newman": "^6.0.0",
    "sequelize": "^6.33.0",
    "sqlite3": "^5.1.6",
    "winston": "^3.11.0",
    "winston-daily-rotate-file": "^5.0.0"
  },
  "devDependencies": {
    "csv-parse": ">=5.5.2",
    "eslint": "^8.0.0",
    "eslint-config-node": "^4.1.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-jest": "^27.4.2",
    "eslint-plugin-prettier": "^5.0.1",
    "handlebars": ">=4.7.8",
    "jest": "^29.7.0",
    "nodemon": "^2.0.19",
    "prettier": "^3.0.3",
    "supertest": "^6.3.3"
  }
}
